<div class="content-wrapper">
    <div class="inner-container container">
        <div class="row">
            <div class="section-header col-md-12">
                <h2>Edit <%= resource_name.to_s.humanize %></h2>
            </div>
        </div>

        <div class="base-form">
            <div class="box-content col-md-12">
                <div class="row">
                    <div class="col-md-7">
                      <h3 class="contact-title">Complete your profile details</h3>
                      <div class="base-form-inner">
                        <%= simple_form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
                          <fieldset>
                            <%= f.error_notification %>

                            <p>
                              <%= f.label :email, 'Email' %>
                              <%= f.text_field :email, required: true, autofocus: true %>
                              <%= f.error :email %>
                            </p>

                            <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
                              <p>Currently waiting confirmation for: <%= resource.unconfirmed_email %></p>
                            <% end %>

                            <p>
                              <%= f.input :password,
                                          hint: "leave it blank if you don't want to change it",
                                          required: false,
                                          input_html: { autocomplete: "new-password" } %>
                            </p>
                            <p>
                            <%= f.input :password_confirmation,
                                        required: false,
                                        input_html: { autocomplete: "new-password" } %>
                            </p>
                            <p>
                            <%= f.input :current_password,
                                        hint: "we need your current password to confirm your changes",
                                        required: true,
                                        input_html: { autocomplete: "current-password" } %>
                            </p>

                            <%= f.button :submit, 'Update', :class => 'mainBtn' %>
                          </fieldset>
                        <% end %>
                      </div>
                    </div>
                    <div class="col-md-7">
                      <h3 class="contact-title">Cancel my account</h3>
                      <div class="base-form-inner">
                        <%= link_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete, :class => 'mainBtn' %>
                        <%= link_to 'Back', :back, :class => 'mainBtn' %>
                      </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
